Summary: This program will construct an ARC4 Kerberos key for the principal specified, using the password provided.
Name: kerberos-keytab-creator
Version: 0.1
Release: 0
License: distributable
Group: System Environment/Daemons
Buildroot: /tmp/%{name}
Source0: %{name}-%{version}.tgz

BuildRequires: krb5-devel

%description
This program will construct an ARCFOUR Kerberos key for the principal specified, using the password provided. It does not interact with the KDC, and provides no functionality to change the principal's password. 

This has been written for CERN, to replace the user keytab extraction service that is currently provided by the Heimdal realm and the kas.arc cpext routine. Active Directory does not facilitate Kerberos key extraction, and as such, this is the only method of acquiring an AD principal's Kerberos key without resetting the principal's password.

%prep 
%setup -c

%build
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 755 kerberos-keytab-creator $RPM_BUILD_ROOT/%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post

%preun

%postun

%files
%defattr(-,root,root)
/%{_bindir}/kerberos-keytab-creator
%changelog
* Thu Mar 6 2010 John Hefferman <john_hefferman@cern.ch> 1.0p1-1
John Hefferman - Changed the key testing system
